<template>
  <NuxtLoadingIndicator />
  <div class="min-h-screen flex relative lg:static surface-ground">
    <NavBar :team="team"></NavBar>

    <div class="min-h-screen flex flex-column relative flex-auto">
      <NuxtPage></NuxtPage>
    </div>
  </div>
</template>

<script setup lang="ts">
const teamList = useCookie("teamList");
const { data: team } = await useFetch(`/api/fetch/team/`, {
  query: { team: teamList.value },
});
</script>
